Summary: GNOME web browser based on the mozilla rendering engine.
Name: epiphany
Version: 1.0
Release: 1mdk
License: GPL
Group: Networking/WWW
URL: http://epiphany.mozdev.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}-%{version}.tar.bz2
Source1: epiphany-48.png
Source2: epiphany-32.png
Source3: epiphany-16.png
Source4: epiphany-bookmarks-48.png
Source5: epiphany-bookmarks-32.png
Source6: epiphany-bookmarks-16.png
#gw from the galeon startup script: add the mozilla plugin path
Patch0: epiphany-0.7.3-plugin-path.patch.bz2
# (fc) 0.9.2-2mdk fix default homepage
Patch1:	epiphany-0.9.2-defaulthome.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: mozilla-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: scrollkeeper
Prereq: scrollkeeper
Provides:       webclient
Requires: indexhtml

%description
Epiphany is a GNOME web browser based on the mozilla
rendering engine.
The name meaning:
"An intuitive grasp of reality through
something (as an event) usually simple and striking"

%package devel
Group: Development/C
Summary: Header files for developing with Epiphany

%description devel

This contains the C headers required for developing with Epiphany.

%prep
%setup -q
%patch0 -p1 -b .plugins
%patch1 -p1 -b .defaulthome

%build

%configure2_5x
%make WARN_CFLAGS=""

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}-2.0 --with-gnome --all-name

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Networking/WWW" \
	title="Epiphany Web Browser" \
	longtitle="Browse the web" \
	command="%{_bindir}/epiphany" \
	icon="epiphany.png" \
	startup_notify="true"
?package(%{name}):\
	needs="X11" \
	section="Networking/WWW" \
	title="Epiphany Bookmarks Editor" \
	longtitle="Browse and organize your bookmarks" \
	command="%{_bindir}/epiphany --bookmarks-editor" \
	icon="epiphany-bookmarks.png" \
	startup_notify="true"
EOF

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
install -m 644 %SOURCE1 %buildroot%_liconsdir/epiphany.png
install -m 644 %SOURCE2 %buildroot%_iconsdir/epiphany.png
install -m 644 %SOURCE3 %buildroot%_miconsdir/epiphany.png
install -m 644 %SOURCE4 %buildroot%_liconsdir/epiphany-bookmarks.png
install -m 644 %SOURCE5 %buildroot%_iconsdir/epiphany-bookmarks.png
install -m 644 %SOURCE6 %buildroot%_miconsdir/epiphany-bookmarks.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/epiphany.schemas > /dev/null
update-alternatives --install %{_bindir}/webclient-gnome webclient-gnome %{_bindir}/epiphany 25
update-alternatives --install %{_bindir}/webclient-kde   webclient-kde %{_bindir}/epiphany 15

%{update_menus}

%postun
if [ "$1" = "0" ]; then
                update-alternatives --remove webclient-gnome %{_bindir}/epiphany
                update-alternatives --remove webclient-kde %{_bindir}/epiphany
fi
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/epiphany.schemas > /dev/null
fi

%files -f %{name}-2.0.lang
%defattr(-,root,root,-)
%doc COPYING.README COPYING README TODO NEWS ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/epiphany
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%{_menudir}/*
%_liconsdir/*.png
%_iconsdir/*.png
%_miconsdir/*.png

%files devel
%defattr(-,root,root,-)
%_includedir/epiphany-1.0
%_libdir/pkgconfig/epiphany-1.0.pc

%changelog
* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-1mdk
- Release 0.9.3

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-2mdk
- Provides webclient 
- Patch1 : fix default home 

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.4-1mdk
- Release 0.8.4

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.3-1mdk
- Release 0.8.3

* Sat Aug  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- rebuild for new mozilla

* Tue Aug  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- add missing file
- new version

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- add a devel package
- new version

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-5mdk
- don't deinstall schemas on update

* Sat Jul  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-4mdk
- add plugin path to the startup script (Reinout van Schouwen)

* Fri Jul  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.7.3-3mdk
- Rebuild against mozilla 1.4
- Always remove schema at preun time, otherwise we might not remove old keys when upgrading

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-2mdk
- move the schema uninstallation to preun, else the files are already removed

* Mon Jun 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.3-1mdk
- add an uninstallation rule for the gconf schemas, please test
- new version

* Sun Jun 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- new version

* Sun Jun  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- new version

* Wed Jun  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- work around gcc 3.3 changes to make it compile

* Mon May 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- fix the rpmlint warnings
- new version

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.0-2mdk
- Rebuild against mozilla 1.4beta

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.0-1mdk
- Release 0.6.0

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- First Mandrake package
